Results 1 to 4 of 4

Thread: Steam breakage due to libvulkan

  1. #1

    Default Steam breakage due to libvulkan

    Greetings:

    When I try to update Tumbleweed recently (via [CODE]sudo zypper refresh && sudo zypper dup[/CODE]) I now see the following message. I am not sure how to proceed. Can others provide insight? I am new to openSUSE Tumbleweed so I am learning. I tried searching the forums and couldn't find any other topics on this; I apologize if I missed anything.

    Code:
    Problem: Mesa-vulkan-device-select-32bit-21.0.2-275.3.x86_64 requires libvulkan_intel-32bit = 21.0.2
    , but this requirement cannot be provided 
      deleted providers: libvulkan_intel-32bit-21.0.2-275.3.x86_64 
     Solution 1: Following actions will be done: 
      keep obsolete libvulkan_intel-32bit-21.0.2-275.3.x86_64 
      keep obsolete libvulkan_radeon-32bit-21.0.2-275.3.x86_64 
     Solution 2: deinstallation of steam-1.0.0.70-1.2.x86_64 
     Solution 3: install steam-1.0.0.70-1.2.i586 despite the inferior architecture 
     Solution 4: break Mesa-vulkan-device-select-32bit-21.0.2-275.3.x86_64 by ignoring some of its depen
    dencies
    
    Choose from above solutions by number or cancel [1/2/3/4/c/d/?] (c):
    My repositories look like the following.

    Code:
    > zypper lr -P 
    #  | Alias                                | Name                      | Enabled | GPG Check | Refresh | Priority 
    ---+--------------------------------------+---------------------------+---------+-----------+---------+--------- 
    10 | packman                              | packman                   | Yes     | (r ) Yes  | Yes     |   90 
     1 | code                                 | Visual Studio Code        | Yes     | (r ) Yes  | No      |   99 
     2 | download.nvidia.com-tumbleweed       | nVidia Graphics Drivers   | Yes     | (r ) Yes  | Yes     |   99 
     3 | download.opensuse.org-non-oss        | Main Repository (NON-OSS) | Yes     | (r ) Yes  | Yes     |   99 
     4 | download.opensuse.org-oss            | Main Repository (OSS)     | Yes     | (r ) Yes  | Yes     |   99 
     5 | download.opensuse.org-tumbleweed     | Main Update Repository    | Yes     | (r ) Yes  | Yes     |   99 
     6 | https-download.opensuse.org-07116e85 | hardware:razer            | Yes     | (r ) Yes  | Yes     |   99 
     7 | https-download.opensuse.org-446deb5c | openSUSE:Factory          | Yes     | (r ) Yes  | Yes     |   99 
     8 | https-download.opensuse.org-5f2e01da | openSUSE:Tumbleweed       | Yes     | (r ) Yes  | Yes     |   99 
     9 | https-download.opensuse.org-97802a92 | openSUSE:Factory:NonFree  | Yes     | (r ) Yes  | Yes     |   99
    Thank you for your help with this.

    Kind regards,
    Anthony

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    31,475
    Blog Entries
    15

    Default Re: Steam breakage due to libvulkan

    Hi
    It's a known issue and been fixed, just need to wait for it to come through... See the Factory Mailing List..... https://lists.opensuse.org/archives/...6NQTHNPJYLZSU/
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Steam breakage due to libvulkan

    Quote Originally Posted by malcolmlewis View Post
    Hi
    It's a known issue and been fixed, just need to wait for it to come through... See the Factory Mailing List..... https://lists.opensuse.org/archives/...6NQTHNPJYLZSU/
    Great. Thanks!

  4. #4

    Default Re: Steam breakage due to libvulkan

    Quote Originally Posted by iqgrande View Post
    Great. Thanks!
    This is addressed now. Thanks again!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •